# JSON RPC

支持的接口

## **eth** &#x20;

```
   eth_chainId
   eth_syncing
   eth_getBlockByNumber
   eth_getBlockByHash
   eth_blockNumber
   eth_gasPrice
   eth_getBalance
   eth_sendRawTransaction
   eth_getTransactionByHash
   eth_getTransactionReceipt
   eth_getTransactionCount
   eth_getBlockTransactionCountByNumber
   eth_getLogs
   eth_getCode
   eth_call
   eth_getStorageAt
   eth_estimateGas
   eth_newFilter
   eth_newBlockFilter
   eth_getFilterLogs
   eth_getFilterChanges
   eth_uninstallFilter
   eth_unsubscribe
```

## **net**

```
        net_version
        net_listening
        net_peerCount
```

## **web3**

```
        web3_clientVersion
        web3_sha3
```

## **TxPool**

```
        txpool_content
        txpool_inspect
        txpool_status
```

## **debug**

```
        debug_traceBlockByNumber
        debug_traceBlockByHash
        debug_traceBlock
        debug_traceTransaction
        debug_traceCall
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emc.network/emc/zhong-wen/emc-network/he-xin-chan-pin/gong-lian/json-rpc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
